Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 849440 - Private downloads don't update
: Private downloads don't update
Product: SeaMonkey
Classification: Client Software
Component: Download & File Handling (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.19
Assigned To:
Depends on: 833015
Blocks: 460895
  Show dependency treegraph
Reported: 2013-03-08 16:54 PST by
Modified: 2013-04-05 16:09 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Proposed patch (2.89 KB, patch)
2013-03-08 16:57 PST,
iann_bugzilla: review+
philip.chee: feedback+
iann_bugzilla: approval‑comm‑beta+
Details | Diff | Splinter Review

Description 2013-03-08 16:54:03 PST
Although starting a private download opens a progress dialog, the dialog never updates. Also when it does update it will automatically close when done, which is inconvenient as there is no way to reopen it.
Comment 1 2013-03-08 16:57:58 PST
Created attachment 723008 [details] [diff] [review]
Proposed patch

The addPrivacyAwareListener is the change that makes the dialog update correctly.

I opted to hide the checkbox if the download is private.

If properties for an already finished download are opened from the download manager then the dialog will not close automatically. If you think this is outside the scope of the bug then I will remove that part of the patch.
Comment 2 Philip Chee 2013-03-09 03:21:34 PST
Hm. Should we even open a progress dialog for a PB download?
Comment 3 2013-03-09 04:27:39 PST
(In reply to Philip Chee from comment #2)
> Should we even open a progress dialog for a PB download?

They don't appear in the Download Manager, so what choice do we have?
Comment 4 Philip Chee 2013-03-14 07:49:46 PDT
Comment on attachment 723008 [details] [diff] [review]
Proposed patch

Works if I save a web page. If I use the context menu "Save Link Target As..." the Download Manager opens and the download is not private. Need to fix nsContextMenu.js

See Bug 792517 and:
Comment 5 Philip Chee 2013-03-15 06:32:44 PDT
Comment on attachment 723008 [details] [diff] [review]
Proposed patch

f=me any remaining issues to be fixed in Bug 851304
Comment 6 2013-03-18 17:20:16 PDT
Pushed comm-central changeset 386c0f15fcd6.
Comment 7 2013-04-02 13:59:43 PDT
Comment on attachment 723008 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 
User impact if declined: Unable to monitor the progress of a private download
Testing completed (on m-c, etc.): Merged to c-a
Risk to taking this patch (and alternatives if risky): 
String changes made by this patch: None
Comment 8 2013-04-05 16:09:43 PDT

Note You need to log in before you can comment on or make changes to this bug.